"use strict";

var _define = require("./preactement/define");
var _index = require("../UsaBanner/index");
var _jsxRuntime = require("react/jsx-runtime");
const attributes = [
// Purposely leaving out `className` because it's unnecessary
'root-id'];
const Wrapper = _ref => {
  let {
    rootId,
    ...otherProps
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.UsaBanner, {
    ...otherProps,
    id: rootId
  });
};
(0, _define.define)('ds-usa-banner', () => Wrapper, {
  attributes
});